ruby-grape-entity_0.7.1-1_all.deb


Advertisement

Description

ruby-grape-entity - Entity support to API frameworks, such as Grape

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-grape-entity
Package version 0.7.1
Package release 1
Package architecture all
Package type deb
Installed size 104 B
Download size 26.43 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-grape-entity_0.7.1-1_all.deb 0.7.1 all Debian Main
ruby-grape-entity - - -

Requires

Name Value
ruby -
ruby-activesupport -
ruby-interpreter -
ruby-multi-json -

Download

Type URL
Binary Package ruby-grape-entity_0.7.1-1_all.deb
Source Package ruby-grape-entity

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-grape-entity deb package:
    # sudo apt-get install ruby-grape-entity

Files

Path
/usr/lib/ruby/vendor_ruby/grape-entity.rb
/usr/lib/ruby/vendor_ruby/grape_entity.rb
/usr/lib/ruby/vendor_ruby/grape_entity/condition.rb
/usr/lib/ruby/vendor_ruby/grape_entity/delegator.rb
/usr/lib/ruby/vendor_ruby/grape_entity/entity.rb
/usr/lib/ruby/vendor_ruby/grape_entity/exposure.rb
/usr/lib/ruby/vendor_ruby/grape_entity/options.rb
/usr/lib/ruby/vendor_ruby/grape_entity/version.rb
/usr/lib/ruby/vendor_ruby/grape_entity/condition/base.rb
/usr/lib/ruby/vendor_ruby/grape_entity/condition/block_condition.rb
/usr/lib/ruby/vendor_ruby/grape_entity/condition/hash_condition.rb
/usr/lib/ruby/vendor_ruby/grape_entity/condition/symbol_condition.rb
/usr/lib/ruby/vendor_ruby/grape_entity/delegator/base.rb
/usr/lib/ruby/vendor_ruby/grape_entity/delegator/fetchable_object.rb
/usr/lib/ruby/vendor_ruby/grape_entity/delegator/hash_object.rb
/usr/lib/ruby/vendor_ruby/grape_entity/delegator/openstruct_object.rb
/usr/lib/ruby/vendor_ruby/grape_entity/delegator/plain_object.rb
/usr/lib/ruby/vendor_ruby/grape_entity/exposure/base.rb
/usr/lib/ruby/vendor_ruby/grape_entity/exposure/block_exposure.rb
/usr/lib/ruby/vendor_ruby/grape_entity/exposure/delegator_exposure.rb
/usr/lib/ruby/vendor_ruby/grape_entity/exposure/formatter_block_exposure.rb
/usr/lib/ruby/vendor_ruby/grape_entity/exposure/formatter_exposure.rb
/usr/lib/ruby/vendor_ruby/grape_entity/exposure/nesting_exposure.rb
/usr/lib/ruby/vendor_ruby/grape_entity/exposure/represent_exposure.rb
/usr/lib/ruby/vendor_ruby/grape_entity/exposure/nesting_exposure/nested_exposures.rb
/usr/lib/ruby/vendor_ruby/grape_entity/exposure/nesting_exposure/output_builder.rb
/usr/share/doc/ruby-grape-entity/CONTRIBUTING.md
/usr/share/doc/ruby-grape-entity/README.md.gz
/usr/share/doc/ruby-grape-entity/RELEASING.md
/usr/share/doc/ruby-grape-entity/UPGRADING.md
/usr/share/doc/ruby-grape-entity/changelog.Debian.gz
/usr/share/doc/ruby-grape-entity/changelog.gz
/usr/share/doc/ruby-grape-entity/copyright
/usr/share/rubygems-integration/all/specifications/grape-entity-0.7.1.gemspec

Changelog

2018-03-31 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
ruby-grape-entity (0.7.1-1) unstable; urgency=medium
* Team upload.
[ Hleb Valoshka ]
* Remove myself from uploaders
[ HIGUCHI Daisuke (VDR dai) ]
* New upstream version 0.7.1 (Closes: #888127)
- d/control: add ruby-simplecov and ruby-coveralls to B-D.
- d/rules: clean coverage directory.
* Refresh patches
* eliminate lintian warning: debian-watch-uses-insecure-uri
* support autopkgtest
* Use salsa.debian.org in Vcs-* fields
* Bump debhelper compatibility level to 11
* Bump Standards-Version to 4.1.3 (no changes needed)
2017-09-27 - Lucas Kanashiro <kanashiro@debian.org>
ruby-grape-entity (0.6.1-1) UNRELEASED; urgency=medium
WAITS-FOR: ruby-activesupport >= 5.0.0
* New upstream version 0.6.1
* debian/docs: add UPGRADING.md
* debian/copyright: use https:// instead of http:// in Format field
* Bump debhelper compatibility level to 10
* Declare compliance with Debian Policy 4.1.0
2016-11-29 - Lucas Kanashiro <kanashiro@debian.org>
ruby-grape-entity (0.6.0-1) unstable; urgency=medium
* New upstream version 0.6.0
* Update years of upstream copyright
* Update patches
* Fix debian/control, thanks for cme
* debian/control: update my email in Uploaders field
* Add DEP-3 headers in use-unshift-in-gemspec.patch
2016-07-07 - Cédric Boutillier <boutil@debian.org>
ruby-grape-entity (0.5.1-2) unstable; urgency=medium
* Team upload
[ Pirate Praveen ]
* Team upload
* Use unshift in gemspec for LOADPATH (it now takes correct version
even when old version is installed during build)
[ Cédric Boutillier ]
* 0004-Add-is_a-and-kind_of-to-OutputBuilder-to-check-its-o.patch to restore
compatibility of ruby-grape-entity with ruby-grape and avoid test failures
(Closes: #826317, #826316)
2016-05-09 - Lucas Kanashiro <kanashiro.duarte@gmail.com>
ruby-grape-entity (0.5.1-1) unstable; urgency=medium
* Imported Upstream version 0.5.1
* Declare compliance with Debian policy 3.9.8
* debian/control: add me as uploader
2016-03-14 - Lucas Kanashiro <kanashiro.duarte@gmail.com>
ruby-grape-entity (0.5.0-1) unstable; urgency=medium
* Team upload.
[ Cédric Boutillier ]
* Bump debhelper compatibility level to 9
* Use https:// in Vcs-* fields
* Bump Standards-Version to 3.9.7 (no changes needed)
* Use new default gem2deb Rakefile to run the tests
[ Lucas Kanashiro ]
* Imported Upstream version 0.5.0
* Create patch to require activesupport hash in lib/grape_entity/options.rb
2015-07-07 - Hleb Valoshka <375gnu@gmail.com>
ruby-grape-entity (0.4.5-1) unstable; urgency=medium
* Initial release (Closes: #720755)

See Also

Package Description
ruby-grape-logging_1.7.0-1_all.deb request logging support for Grape
ruby-grape-msgpack_0.2.0-1_all.deb MessagePack formatter for Grape framework
ruby-grape-route-helpers_2.1.0-3_all.deb Route helpers for Grape
ruby-grape_1.0.3-1_all.deb Simple Ruby framework for building REST-like APIs
ruby-graphql_1.8.4-1_all.deb GraphQL language and runtime for Ruby
ruby-graphviz_1.2.3-1_all.deb Ruby interface to the GraphViz graphing tool
ruby-grib_0.4.0-2+b2_amd64.deb Ruby interface to the ECMWF GRIB API
ruby-grit-ext_0.8.1-2_all.deb utf-8 support extension for grit
ruby-grit_2.8.2-2_all.deb Ruby Git bindings
ruby-grpc-tools_1.16.0-1_all.deb Development tools for Ruby gRPC
ruby-grpc_1.16.0-1_amd64.deb GRPC system in Ruby
ruby-gruff_0.6.0-1_all.deb Ruby library to create beautiful graphs for one or multiple datasets
ruby-gsl_2.1.0.3+dfsg1-1+b1_amd64.deb Ruby bindings for the GNU Scientific Library (GSL)
ruby-gssapi_1.2.0-1_all.deb FFI wrapper around the system GSSAPI library
ruby-gstreamer_3.3.0-1_amd64.deb GStreamer bindings for the Ruby language
Advertisement
Advertisement